@rem = '--*-Perl-*--';	  
@rem = '
@echo off
if exist perl.exe goto perlhere
cd bin
if not exist perl.exe goto perlnotthere
:perlhere
if not exist Perl300.dll goto perlnotthere
if not exist Perlglob.exe goto perlnotthere
if not exist PerlIS.dll goto PerlISnotthere
perl.exe PerlIS-uninstall.bat %1 %2 %3 %4 %5 %6 %7 %8 %9
pause
goto endofperl
@rem ';

@INC = qw( ..\Lib ..\Ext );

require 'NT.ph';

print <<'--end--';
PerlIS-uninstall.bat:
  This script will remove the registry entries created by the 
  PerlIS-install.bat script.  The script does not delete files.
  You can re-install by running PerlIS-install.bat again. 
Continue?(Y/N):
--end--

$in = <STDIN>;
until ( $in eq "\n" || $in =~ /^y/i ) {
	exit if ( $in =~ /^no?\n$/i );
	print "Do you wish to proceed? [Y/n]";
	$in = <STDIN>;
}

#Check for IIS.
if(!Win32::RegOpenKeyEx(&HKEY_LOCAL_MACHINE,
				'SYSTEM\CurrentControlSet\Services\W3SVC\Parameters\Script Map',
				&NULL,&KEY_ALL_ACCESS, $Servkey)) {
	print "No Microsoft Internet Information Server Installed\n";
	exit;
}

print "\nWhich extension is associated with PerlIS.dll.";
print "\nExtension:<pl is the default>";

$extension = <STDIN>;
chop($extension);
$extension = "pl" if ( $extension eq "" );	
$extension = '.'.$extension unless ($extension =~ /\..*/ );

Win32::RegDeleteValue($Servkey, $extension) ?
	print "Deleting $extension value from registry\n" :
	warn "Cannot delete $extension value from registry!!!\n";

Win32::RegCloseKey($Servkey);

__END__
:perlnotthere
echo Could not find Perl interpreter!!
echo *gasp* *wheez* *choke*
goto endofperl
:PerlISnotthere
echo Did you install PerlIS into the same directory as Perl?
:endofperl

